Security Enhanced Linux Reference Policy

# Layer: services

## Module: clamav

Tunables Interfaces

### Description:

ClamAV Virus Scanner.

### Tunables:

clamav_read_all_non_security_files_clamscan

##### Default value

false

##### Description

Determine whether clamscan can read all non-security files.

clamav_read_user_content_files_clamscan

##### Default value

false

##### Description

Determine whether clamscan can read user content files.

clamd_use_jit

##### Default value

false

##### Description

Determine whether can clamd use JIT compiler.

Return

### Interfaces:

clamav_admin( domain , role )

##### Summary

All of the rules required to administrate an clamav environment.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | Role allowed access.

clamav_append_log( domain )

##### Summary

Append clamav log files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

clamav_domtrans( domain )

##### Summary

Execute a domain transition to run clamd.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

clamav_domtrans_clamscan( domain )

##### Summary

Execute a domain transition to run clamscan.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

clamav_domtrans_freshclam( domain )

##### Summary

Execute a domain transition to run freshclam.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

clamav_enabledisable_clamd( domain )

##### Summary

Allow specified domain to enable clamd units

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

clamav_exec_clamscan( domain )

##### Summary

Execute clamscan in the caller domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

clamav_exec_freshclam( domain )

##### Summary

Execute freshclam in the caller domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

clamav_filetrans_log( domain )

##### Summary

specified domain creates /var/log/clamav/freshclam.log with correct type

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

clamav_filetrans_runtime_dir( domain )

##### Summary

specified domain creates /run/clamav with correct type

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

clamav_manage_pid_content( domain )

##### Summary

Create, read, write, and delete clamav pid content. (Deprecated)

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

clamav_read_config( domain )

##### Summary

Read clamav configuration files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

clamav_read_signatures( domain )

##### Summary

Read clam virus signature files

##### Description

Useful for when using things like 'sigtool' which provides useful information about ClamAV signature files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

clamav_read_state_clamd( domain )

##### Summary

Read clamd process state files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

clamav_reload_clamd( domain )

##### Summary

Allow specified domain reload of clamd

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

clamav_run( domain , role )

##### Summary

Execute clamd programs in the clamd domain and allow the specified role the clamd domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.
role | Role allowed access.

clamav_run_freshclam( domain , role )

##### Summary

Execute freshclam in the freshclam domain, and allow the specified role the freshclam domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.
role | Role allowed access.

clamav_scannable_files( domain )

##### Summary

Denote a particular type to be scanned by ClamAV

##### Parameters

Parameter: | Description:
--- | ---
domain | Type that clamd_t and clamscan_t can read.

clamav_search_lib( domain )

##### Summary

Search clamav library directories.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

clamav_startstop_clamd( domain )

##### Summary

Allow specified domain to start clamd units

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

clamav_status_clamd( domain )

##### Summary

Allow specified domain to get status of clamd

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

clamav_stream_connect( domain )

##### Summary

Connect to clamd using a unix domain stream socket.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return